import request from '@/utils/request';
// 投诉建议-汇总
export const complainCollectInfo = (params) => {
    return request({
        url: `/complain/collectInfo`,
        method: 'get',
        params
    });
};
// 投诉建议-查询
export const complainSelectInfo = (params) => {
    return request({
        url: `/complain/selectInfo`,
        method: 'get',
        params
    });
};
// 投诉建议-新增
export const complainSaveInfo = (data) => {
    return request({
        url: `/complain/saveInfo`,
        method: 'post',
        data,
        useBase: false
    });
};
// 投诉建议-撤回
export const complainStatusChange = (kid) => {
    return request({
        url: `/complain/statusChange/${kid}`,
        method: 'put',
        useBase: false
    });
};