import request from '@/utils/request';
// 问题反馈-汇总
export const feedbackCollectInfo = (params) => {
    return request({
        url: `/feedback/collectInfo`,
        method: 'get',
        params
    });
};
// 问题反馈-汇总
export const feedbackCollectBySystem = (params) => {
    return request({
        url: `/feedback/collectBySystem`,
        method: 'get',
        params
    });
};
// 问题反馈-查询
export const feedbackSelectInfo = (params) => {
    return request({
        url: `/feedback/selectInfo`,
        method: 'get',
        params
    });
};
// 问题反馈-明细
export const feedbackGetDetail = (params) => {
    return request({
        url: `/feedback/getDetail`,
        method: 'get',
        params
    });
};
// 问题反馈-新增/编辑
export const feedbackSaveInfo = (data) => {
    return request({
        url: `/feedback/saveInfo`,
        method: 'post',
        data,
        useBase: false
    });
};
// 问题反馈-删除
export const feedbackDeleteInfo = (kid) => {
    return request({
        url: `/feedback/deleteInfo/${kid}`,
        method: 'delete',
        useBase: false
    });
};