import request from '@/utils/request';
// 满意度调查配置 列表
export const satisfactionSelectBasicList = () => {
    return request({
        url: `/satisfaction/selectBasicList`,
        method: 'get'
    });
};
// 最新 满意度调查配置
export const satisfactionGetLatestBasic = () => {
    return request({
        url: `/satisfaction/getLatestBasic`,
        method: 'get'
    });
};
// 满意度调查填写-明细
export const satisfactionGetInfoDetail = (params) => {
    return request({
        url: `/satisfaction/getInfoDetail`,
        method: 'get',
        params
    });
};
// 满意度调查填写-查询
export const satisfactionSelectInfo = (params) => {
    return request({
        url: `/satisfaction/selectInfo`,
        method: 'get',
        params
    });
};
// 满意度调查填写-新增
export const satisfactionSaveInfo = (data) => {
    return request({
        url: `/satisfaction/saveInfo`,
        method: 'post',
        data,
        useBase: false
    });
};