import request from '@/utils/request';

// 新增机构
export function addBank(data) {
    return request({
        url: '/api/bank',
        method: 'POST',
        data
    });
}

// 删除机构
export function deleteBank(data) {
    return request({
        url: `/api/bank/${data.bankCode}`,
        method: 'DELETE',
        data
    });
}

// 编辑机构
export function editBank(data) {
    return request({
        url: `/api/bank/${data.bankCode}`,
        method: 'put',
        data
    });
}

//
export function areaListAll(params) {
    return request({
        url: '/api/banks',
        method: 'get',
        params
    });
}

export function orgBanks(params) {
    return request({
        baseURL: '/basic-gateway',
        url: '/api/orgBanks',
        method: 'get',
        params,
        useBase: false
    });
}