export default {
	bind: function (el) {
		const reg = /[\d]/g;
		const noReg = /[^\d]/g;
		const input = el.querySelector('input');
		// 输入中文验证
		input.oninput = function (e) {
			if (reg.test(e.data)) {
				return;
			}
			this.value = this.value.replace(noReg, '');
		};
		// 输入前验证
		input.onkeypress = function (e) {
			const ev = e || event;
			return reg.test(ev.key);
		};
	}
};
