// 表格 基础
export const tableBaseStyle = {
	border: true,
	stripe: true,
	'highlight-current-row': false,
	'element-loading-text': '正在努力查找符合您搜索条件的记录',
	'element-loading-spinner': 'el-icon-loading',
	'element-loading-background': 'rgba(255, 255, 255, 0.9)',
	'empty-text': '暂无符合条件的记录',
	'header-cell-style': { padding: '0', height: '30px' },
	'cell-style': { padding: '0px 0', height: '36px' }
};
// 表格 自定义
export const tableCustomStyle = {
	border: false,
	stripe: false,
	'highlight-current-row': true,
	size: 'mini',
	'element-loading-text': '正在努力查找符合您搜索条件的记录...',
	'empty-text': '暂无符合条件的记录',
	'element-loading-spinner': 'el-icon-loading',
	'element-loading-background': 'rgba(255, 255, 255, 0.9)',
	'header-row-style': { height: '38px', backgroundColor: 'rgba(255,255,255,.9)', color: '#565656' },
	'header-cell-style': { padding: '0', height: '38px', backgroundColor: 'transparent' },
	'row-style': { height: '20px', background: 'rgba(255, 255, 255, .5)', color: '#333' },
	'cell-style': { padding: '2px', height: '20px' }
};

// 表格 自定义(lzc)
export const tableLzcCustomStyle = {
	border: true,
	stripe: true,
	'highlight-current-row': false,
	'element-loading-text': '正在努力查找符合您搜索条件的记录',
	'element-loading-spinner': 'el-icon-loading',
	'element-loading-background': 'rgba(255, 255, 255, 0.9)',
	'empty-text': '暂无符合条件的记录',
	'header-row-style': { height: '10px' },
	'header-cell-style': { padding: '0', height: '30px', 'background-color': '#F8F8F8' },
	'row-style': { height: '5px' },
	'cell-style': { padding: '0px', height: '35px' }
};

export const tableLoadingStyle = {
	'element-loading-text': '正在努力查找符合您搜索条件的记录',
	'element-loading-spinner': 'el-icon-loading',
	'element-loading-background': 'rgba(255, 255, 255, 0.9)',
	'empty-text': '暂无符合条件的记录'
};
