export const nhtcSet = {
  // 默认表单
  form: {
    size: 'small',
    label_position: 'right',
    label_width: '80px',
    input_width: '200px'
  },
  // 查询表单
  form_search: {
    size: 'mini',
    label_position: 'right',
    label_width: '80px',
    input_width: '150px'
  },
  // table表格
  table: {
    align: 'center',
    border: true,
    stripe: true,
    loading_text: '正在努力查找符合您搜索条件的记录',
    empty_text: '暂无符合条件的记录',
    loading_background: 'rgba(255, 255, 255, 0.9)',
    loading_icon: 'el-icon-loading',
    header_row_style: { height: '38px' },
    header_cell_style: { padding: '0', background: '#F5F7FA', height: '38px' }, //  #F5F7FA #53D3CB
    row_style: { height: '20px' },
    cell_style: { padding: '2px', height: '20px' }
  },
  // dialog
  dialog: {
    width: '1200px',
    medium_width: '800px',
    small_width: '600px',
    mini_width: '400px'
  }
}
// tag
export const tagBgColor = '#fff';
export const tagColor = '#495060';
export const tagActiveBgColor = '#42b983';
export const tagActiveColor = '#ffffff';

export const tableSet = {
  'element-loading-text': nhtcSet.table.loading_text,
  'element-loading-spinner': nhtcSet.table.loading_icon,
  'element-loading-background': nhtcSet.table.loading_background,
  'empty-text': nhtcSet.table.empty_text,
  border: nhtcSet.table.border,
  stripe: nhtcSet.table.stripe,
  'header-row-style': nhtcSet.table.header_row_style,
  'header-cell-style': nhtcSet.table.header_cell_style,
  'row-style': nhtcSet.table.row_style,
  'cell-style': nhtcSet.table.cell_style
}
export const tableSetInner = {
  'element-loading-text': nhtcSet.table.loading_text,
  'element-loading-spinner': nhtcSet.table.loading_icon,
  'element-loading-background': nhtcSet.table.loading_background,
  'empty-text': nhtcSet.table.empty_text,
  border: nhtcSet.table.border,
  stripe: nhtcSet.table.stripe,
  'header-row-style': { height: '30px' },
  'header-cell-style': nhtcSet.table.header_cell_style,
  'row-style': { height: '20px' },
  'cell-style': { padding: '2px', height: '20px' }
}
export const searchForm = {
  inline: true,
  'label-width': nhtcSet.form_search.label_width,
  'label-position': nhtcSet.form_search.label_position,
  size: nhtcSet.form_search.size
}
