import store from '@/store';
import { isEmpty } from '@/utils/utils';

export default {
	install(Vue) {
		Vue.prototype.$permission = (value) => {
			const auth = store.state.permission.authKey;
			if (value.indexOf('/redirect') === 0) {
				return true;
			}
			if (!isEmpty(auth)) {
				// 中文转码
				return auth.indexOf(decodeURI(value)) >= 0;
			}
			return false;
		};
	}
};
