/*
 * @Date: 2023-06-19 14:57:03
 * @LastEditors: bbcef 961166897@qq.com
 * @LastEditTime: 2023-07-11 11:19:05
 * @FilePath: \provincial_platform_fms\src\api\index.js
 */
import request from '@/utils/request';

// 查询菜单
export function getMenus(params) {
    return request({
        baseURL: '/basic-gateway',
        url: '/api/menu',
        method: 'get',
        params
    });
}
export function getColumn(params) {
    return request({
        baseURL: '/basic-gateway',
        url: `/api/column/${params.tableId}`,
        method: 'get',
        params
    });
}
export function setColumn(data) {
    return request({
        baseURL: '/basic-gateway',
        url: `/api/columns`,
        method: 'post',
        data
    });
}

export function getTusiness(params) {
    return request({
        baseURL: '/basic-gateway',
        url: `/api/business/${params.tableId}`,
        method: 'get',
        params
    });
}

export const platformName = (params) => {
    return request({
        baseURL: '/basic-gateway',
        url: `/platformName`,
        method: 'get',
        params
    });
};
export const platformNamePlat = (params) => {
    return request({
        baseURL: '/basic-gateway',
        url: `/platformNamePlat`,
        method: 'get',
        params
    });
};

export const findRightBookYear = (params) => {
    return request({
        baseURL: '/nh-mcro-finance',
        url: `/AccountManage/findRightBookYear`,
        method: 'get',
        useBase: false,
        params
    });
};
export const findRightBook = (params) => {
    return request({
        baseURL: '/nh-mcro-finance',
        url: `/AccountManage/findRightBook`,
        method: 'get',
        useBase: false,
        params
    });
};
export const findRightBookInfo = (params) => {
    return request({
        baseURL: '/nh-mcro-finance',
        url: `/AccountManage/findRightBookInfo`,
        method: 'get',
        useBase: false,
        params
    });
};
export const findBookYmonthList = (params) => {
    return request({
        baseURL: '/nh-mcro-finance',
        url: `/AccountManage/findBookYmonthList`,
        method: 'get',
        useBase: false,
        params
    });
};
// 系统公告
export function upgradeAnnouncement(params) {
    return request({
        baseURL: '/basic-gateway',
        url: `/api/upgradeAnnouncement/${params}`,
        method: 'get'
    });
}
export const tipInitialize = (params) => {
  return request({
      baseURL: '/nh-mcro-finance',
      url: `/finalProcess/tipInitialize`,
      method: 'get',
      useBase: false,
      params
  });
};
