import PreviewComponent from './components/preview';

export default {
	install(Vue) {
		const PreviewConstructor = Vue.extend(PreviewComponent);
		const preview = new PreviewConstructor();

		preview.$mount(preview.$el);
		Vue.prototype.$preview = (image, index = 0, custom = false) => {
			preview.visible(image, index,custom);
		};
	}
};
