import onKeypressNumber from './onKeypressNumber.js';
import onKeypressNCE from './onKeypressNCE.js';

// input输入框只能输入数字的检验指令
const installNumber = function (Vue) {
	Vue.directive('onKeypressNumber', onKeypressNumber);
};
const installNCE = function (Vue) {
	Vue.directive('onKeypressNCE', onKeypressNCE);
};

onKeypressNumber.install = installNumber;
onKeypressNCE.install = installNCE;

export default {
	onKeypressNumber,
	onKeypressNCE
};
