/*
 * @Author: bbcef 961166897@qq.com
 * @Date: 2023-05-10 11:50:22
 * @LastEditors: bbcef 961166897@qq.com
 * @LastEditTime: 2023-06-25 09:40:12
 * @FilePath: \provincial_platform_fms\src\directive\keypress\onKeypressNCE.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
export default {
	bind: function (el) {
		const reg =
			/[\d\u4e00-\u9fa5A-Za-z^\u3002^\uff1f^\uff01^\uff0c^\u3001^\uff1b^\uff1a^\u201c^\u201d^\u2018^\u2019^\uff08^\uff09^\u300a^\u300b^\u3008^\u3009^\u3010^\u3011^\u300e^\u300f^\u300c^\u300d^\ufe43^\ufe44^\u3014^\u3015^\u2026^\u2014^\uff5e^\ufe4f^\uffe5]/g;

		const input = el.querySelector('input');
		// 输入中文验证
		input.oninput = function (e) {
			if (reg.test(e.data)) {
				// eslint-disable-next-line no-useless-return
				return;
			}
			// this.value = this.value.replace(reg,'')
		};
		// 输入前验证
		input.onkeypress = function (e) {
			const ev = e || event;
			return reg.test(ev.key);
		};
	}
};
