import {
    getFile,
    getCustomHost
} from '@/api/sale/other.js';

const baseData = {
    async getFileUrl(kid) {
        const getCustomHostRes = await getCustomHost();
        const getFileRes = await getFile(kid);
        const customHost = getCustomHostRes.result;
        const { folder, newFileName } = getFileRes.result;
        const url = `${process.env.VUE_APP_BASE_API}${customHost}/${folder}/${newFileName}`;
        return url;
    }
};
export default baseData;
