const saleConstantRouter = [
    {
        path: 'feedback',
        name: 'feedback',
        component: () =>
            import ('@/views/modules/sale/feedback/index.vue'),
        meta: { title: ' 问题反馈', keepAlive: true }
    },
    {
        path: 'satisfaction',
        name: 'satisfaction',
        component: () =>
            import ('@/views/modules/sale/satisfaction/index.vue'),
        meta: { title: ' 满意度调查', keepAlive: true }
    },
    {
        path: 'complain',
        name: 'complain',
        component: () =>
            import ('@/views/modules/sale/complain/index.vue'),
        meta: { title: '投诉建议', keepAlive: true }
    },
    {
        path: 'commend',
        name: 'commend',
        component: () =>
            import ('@/views/modules/sale/commend/index.vue'),
        meta: { title: '表扬信', keepAlive: true }
    },
    {
        path: 'system/jump',
        name: 'system-jump',
        component: () =>
            import ('@/views/system/jump.vue'),
        meta: { title: 'system-jump', keepAlive: false }
    }
];
export default saleConstantRouter;
