import Layout from '@/layout';
import saleConstantRouter from './modules/sale';

export const routers = [
	{
		path: `/nh-sale`,
		component: Layout,
		hidden: true,
		children: [
			{
				path: 'home',
				component: () => import('@/views/modules/home/index.vue'),
				name: 'Home',
				meta: {
					title: '首页',
					affix: true
				}
			},
			...saleConstantRouter
		]
	},
];
